Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.quartz
Enum DateBuilder.IntervalUnit

    java.lang.Object
      java.lang.Enum<DateBuilder.IntervalUnit>
          org.quartz.DateBuilder.IntervalUnit

All Implemented Interfaces:
  Serializable, Comparable<DateBuilder.IntervalUnit>

Enclosing class:
  DateBuilder

    public static enum DateBuilder.IntervalUnit

extends Enum<DateBuilder.IntervalUnit>

Enum Constant Summary
`DAY`
`HOUR`
`MILLISECOND`
`MINUTE`
`MONTH`
`SECOND`
`WEEK`
`YEAR`

Method Summary
`static DateBuilder.IntervalUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DateBuilder.IntervalUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MILLISECOND

    public static final DateBuilder.IntervalUnit MILLISECOND

### SECOND

    public static final DateBuilder.IntervalUnit SECOND

### MINUTE

    public static final DateBuilder.IntervalUnit MINUTE

### HOUR

    public static final DateBuilder.IntervalUnit HOUR

### DAY

    public static final DateBuilder.IntervalUnit DAY

### WEEK

    public static final DateBuilder.IntervalUnit WEEK

### MONTH

    public static final DateBuilder.IntervalUnit MONTH

### YEAR

    public static final DateBuilder.IntervalUnit YEAR

Method Detail

### values

    public static DateBuilder.IntervalUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateBuilder.IntervalUnit c : DateBuilder.IntervalUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateBuilder.IntervalUnit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2016, Terracotta, Inc.